Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-5622

release nexus-unpack-plugin 1.0.1

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.4
    • Fix Version/s: 2.5
    • Component/s: None
    • Labels:
      None

      Description

      Run unpack plugin ITs using 2.4.0-05 or greater and release 1.0.1 version of it.

      Then update nexus-bundles to consume it.

      https://github.com/sonatype/nexus-unpack-plugin


      It is required to be used on RSO, so we are already eating own dogfood.

      RSO upgrade script copies it out of optional-plugins.

      insight-ide build depends on it via maven-upload-plugin

      There are some minor changes in nexus-unpack-plugin - none functional - but the latest code is not being consumed by 2.4.0-05

      Given RSO uses it, insight-ide build depends on it, and this plugin has at least two ITs + we apparently have customers using it, suggest we:

      • release 1.0.1 version of it, after updating Nexus test version to be 2.4.0-05
      • change version nexus-bundles depends on to 1.0.1
      • avoid any manual testing other than installing it and verifying it does not bork any other Nexus behavior

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            plynch Peter Lynch
            Last Updated By:
            Peter Lynch Peter Lynch
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Date of First Response:

                tigCommentSecurity.panel-title